/**
 * @file TouchBtns.c
 * Demo program for Touch Button class.  All implementation of the touch
 * button object is in the TouchBtns.h file.
 * 
 */

#include <stdio.h>
#include "propeller.h"
#include "TouchBtns.h"

/**
 * Main program function.
 */
int main(void)
{
    extern unsigned int _C_LOCK;
    _C_LOCK |= 256;

    uint8_t cog;      
    int32_t leds = 0xFF;
    
    const uint8_t TB_BASEPIN = 4;
    const uint8_t TB_COUNT   = 4;      

    
    leds <<= 16;
    DIRA |= leds;
    OUTA = leds; 

    TouchBtns btns(TB_BASEPIN, TB_COUNT, 100, 15);
    cog = btns.Start();  
  
    waitcnt(CLKFREQ + CNT);

    while(1)
    {
        leds = btns.GetButtons();
        leds <<= 16+TB_BASEPIN;
        OUTA = leds;
        waitcnt(CLKFREQ/10 + CNT);    
    }   

    return 0;
}

